import random
import glob
import requests
import urllib

import get_from_reddit


def get_red_panda():
    red_panda = None
    while not red_panda:
        red_panda = requests.get("https://some-random-api.ml/img/red_panda").json()[
            "link"
        ]
    return red_panda


def get_panda():
    panda = None
    while not panda:
        panda = requests.get("https://some-random-api.ml/img/panda").json()["link"]
    return panda


def get_racoon():
    racoon = None
    while not racoon:
        racoon = requests.get("https://some-random-api.ml/img/racoon").json()["link"]
    return racoon


def get_fox():
    fox = None
    while not fox:
        fox = requests.get("https://some-random-api.ml/img/fox").json()["link"]
    return fox


def get_cat():
    cat = None
    while not cat:
        cat = requests.get("https://some-random-api.ml/img/cat").json()["link"]
    return cat


def get_kangaroo():
    kangaroo = None
    while not kangaroo:
        kangaroo = requests.get("https://some-random-api.ml/img/kangaroo").json()[
            "link"
        ]
    return kangaroo


def get_koala():
    koala = None
    while not koala:
        koala = requests.get("https://some-random-api.ml/img/koala").json()["link"]
    return koala


def get_dog():
    return random.choice([random_sheeb, random_dog, random_dog_reddit])()


def get_birb():
    return random.choice([random_bird, random_bird_reddit])()


def random_sheeb():
    return requests.get("http://shibe.online/api/shibes?count=1&urls=true").text.split(
        '"'
    )[1]


def random_dog():
    dog_url = None
    while not dog_url:
        dog_url = requests.get("https://dog.ceo/api/breeds/image/random").json()[
            "message"
        ]
    return dog_url


def random_bird():
    bird = None
    while not bird:
        bird = requests.get("https://some-random-api.ml/img/birb").json()["link"]
        if "mp4" in bird[-3:]:
            bird = None
    return bird


def random_dog_reddit():
    return get_from_reddit.get_image(
        [
            "AustralianCattleDog",
            "GSP",
            "corgi",
            "dogpictures",
            "rarepuppers",
            "tippytaps",
            "vizsla",
            "zoomies",
            "shiba",
        ]
    )


def random_bird_reddit():
    return get_from_reddit.get_image(
        [
            "birbs",
        ]
    )


def get_rat():
    return get_from_reddit.get_image("rats")


def dale():
    return random.choice(glob.glob("/tmp/dale/*"))
